// Bootstrap 991px breakpoint
@media (max-width:991px){.navbar-header{float:none}.navbar-left,.navbar-nav,.navbar-right{float:none!important}.navbar-toggle{display:block}.navbar-collapse{border-top:1px solid transparent;box-shadow:inset 0 1px 0 rgba(255,255,255,.1)}.navbar-fixed-top{top:0;border-width:0 0 1px}.navbar-collapse.collapse{display:none!important}.navbar-nav{margin-top:7.5px}.navbar-nav>li{float:none}.navbar-nav>li>a{padding-top:10px;padding-bottom:10px}.collapse.in{display:block!important}.navbar-nav .open .dropdown-menu{position:static;float:none;width:auto;margin-top:0;background-color:transparent;border:0;-webkit-box-shadow:none;box-shadow:none}}

/*-------------------------------------------------------*/
/* Navigation Onepage
/*-------------------------------------------------------*/

.nav-type-1 .container-fluid {
  padding: 0 50px;
}

.navbar {
  margin-bottom: 0;
  border: none;
  min-height: 60px;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  @include transition ($all);
  z-index: 1200;
}

.navbar-nav {
  margin: 0;
  float: none;
  display: inline-block;

  & > li > a {
    font-family: $heading-font;
    text-transform: uppercase;
    padding: 0 20px;
    line-height: 90px;
    color: #fff;
    font-size: 13px;
    letter-spacing: 0.02em;
    font-weight: bold;
    @include transition ($all);
    :hover {
      color: $commandgo-orange !important;
    }
  }
}

.navigation-overlay {
  background-color: rgba(17,17,17,.5);
  width: 100%;
  line-height: 0;
  @include transition ($all);

  &.sticky {
    background-color: rgba(17,17,17,1);
    visibility: visible;
    opacity: 1;
  }

  &.sticky .navbar-nav > li > a,
  &.sticky .menu-socials li > a {
    line-height: 60px;
  }
}

.navbar-header {
  width: 20%;
  padding-right: 15px;
}

.nav-wrap {
  width: 60%;
}

.menu-socials {
  width: 20%;
  float: right;
  padding: 0 15px;

  & ul {
    float: right;
  }

  & li {
    display: inline-block;
  }

  & li > a {
    font-size: 16px;
    line-height: 90px;
    margin-left: 22px;
    color: #fff;
    border-bottom: 1px solid #fff;
    @include transition ($all);
  }

  & li > a:hover {
    border-color: $main-color;
  }
}


.logo-container {
  padding: 0 15px;
  float: left;
}

.logo-wrap {
  display: table;
  width: 100%;

  & > a {
    display: table-cell;
    vertical-align: middle;
    height: 90px;
    @include transition ($all);
  }

  &.shrink > a {
    height: 60px;
  }

  & img {
    @include transition ($all);
    max-height: 66px;
  }

  &.shrink img {
    max-height: 48px;
  }
}

.navbar-collapse.in {
  overflow-x: hidden;
}

.navbar-nav > li > a:hover,
.navbar-nav > .active > a,
.navbar-nav > .active > a:focus,
.navbar-nav > .active > a:hover,
.menu-socials li > a:hover {
  opacity: 1;
  color: $main-color !important;
}

.navbar-collapse {
  padding: 0;
  border-top: none;
}

.nav .open > a,
.nav .open > a:focus,
.nav .open > a:hover,
.nav > li > a:focus,
.nav > li > a:hover {
  background-color: transparent;
  text-decoration: none;
  border-color: #f2f2f2;
}


@media (max-width: 991px) {

  .navigation-overlay,
  .navigation-overlay.sticky {
    background-color: rgba(17,17,17,.9);
  }

  .nav-wrap {
    width: 100%;
    padding: 0;
    min-height: 0;
  }

  .nav-type-1 .container-fluid {
    padding: 0 15px;
  }
  
  .navbar-header {
    width: 100%;
    padding-right: 0;
  }

  .logo-wrap img {
    height: 48px;
  }

  .logo-wrap > a {
    height: 60px;
  }

  .navbar-nav {
    width: 100%;
    padding: 40px 0;
  }

  .navigation-overlay.sticky .navbar-nav > li > a,
  .navigation-overlay .navbar-nav > li > a {
    padding: 10px 0;
    line-height: 30px;
  }

}


/* Navigation Toggle
-------------------------------------------------------*/

.navbar-toggle {
  margin-top: 13px;
  border: none;
  z-index: 50;
  margin-right: 5px;

  & .icon-bar {
    background-color: #fff;
    width: 18px;
  }

  &:focus,
  &:hover {
    background-color: transparent;
  }

  &:focus .icon-bar,
  &:hover .icon-bar {
    background-color: #f2f2f2;
  }
  
}


/*Go to Top*/

#back-to-top {
  display: block;
  z-index: 500;
  width: 40px;
  height: 40px;
  text-align: center;
  font-size: 22px;
  position: fixed;
  bottom: -40px;
  right: 20px;
  line-height: 35px;
  @include border-radius (50%);
  @include transition (all 1s ease-in-out);
  background-color: #fff;
  text-decoration: none;
  box-shadow: 1px 1.732px 12px 0px rgba( 0, 0, 0, .14 ), 1px 1.732px 3px 0px rgba( 0, 0, 0, .12 );

  & i {
    @include transition (all 1s ease-in-out);
  }

  & a {
    width: 40px;
    height: 40px;
    display: block;
    color: $heading-color;
  }

  &.show {
    bottom: 20px;
  }

  &:hover {
    background-color: $heading-color;
  }

  &:hover i {
    color: #fff;
  }
}


/*-------------------------------------------------------*/
/* Navigation Multi-Page
/*-------------------------------------------------------*/

.nav-type-2 {

  & .navbar {
    min-height: 90px;
  }

  & .nav-wrap {
    width: 80%;
  }

  & .navbar-nav > li > a {
    padding: 0 15px;
  }

  & .navbar-toggle:focus .icon-bar,
  & .navbar-toggle:hover .icon-bar {
    background-color: $heading-color;
  }

  & .navbar-nav > li > a {
    color: $heading-color;
    @include transition (color .3s ease-in-out);
  }
}

.nav-type-2 .navbar-toggle .icon-bar,
.nav-type-4 .navbar-toggle .icon-bar {
  background-color: $text-color;
}

.navigation {
  &.offset {
    @include transform (translate3d(0, -300px, 0));
    @include transition ($all);
  }

  &.sticky {
    position: fixed;
    background-color: #fff;
    visibility: hidden;
    opacity: 0;
    width: 100%;
    height: 60px;
    top: 0;
    box-shadow: 0 0 5px rgba(0,0,0,.1);
    z-index: 1009;
  }

  &.scrolling {
    @include transform (translate3d(0, 0px, 0));
  }

  &.sticky.scrolling {
    opacity: 1;
    visibility: visible;
  }

  &.sticky .navbar-nav > li > a {
    line-height: 60px;
  }
}


.navbar-nav .dropdown-menu {
  left: 0;

  &.menu-right {
    left: auto;
    right: 0;
  }
}

.dropdown-menu {
  min-width: 200px;
  margin: 0;
  padding: 10px 0;
  border-top: 3px solid $main-color;
  border-left: 1px solid #ebebeb;
  border-right: 1px solid #ebebeb;
  border-bottom: none;
  @include border-radius(0);
  @include box-shadow (0 2px 4px rgba(0,0,0,.05));

  & > li > a {
    padding: 10px 20px;
    font-size: 13px;
    color: $text-color;
    @include transition ($all);
    font-weight: 500;
  }

  & > li > a:focus,
  & > li > a:hover {
    background-color: transparent;
    color: $main-color;
  }

  & .megamenu-wrap ul > li > a {
    display: block;
    clear: both;
    font-weight: 500;
    line-height: 1.42857143;
    color: $text-color;
    white-space: nowrap;
    @include transition ($all);
  }
}

.dropdown-submenu > a:after {
  font-family: "FontAwesome";
  position: absolute;
  content: "\f105";
  right: 15px;
  color: $text-color;
}

.dropdown-menu, 
.dropdown-submenu > .dropdown-menu {
  display: block;
  visibility: hidden;
  opacity: 0;
  @include transition (all .1s ease-in-out);
}

.dropdown:hover > .dropdown-menu,
.dropdown-submenu:hover > .dropdown-menu {
  opacity: 1;
  visibility: visible;
}

.navbar .dropdown-menu {
  margin-top: 0;
}

.dropdown-submenu {
  position: relative;

  & .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -2px;
  }
}


/* Menu Search
-------------------------------------------------------*/
.navbar-nav > li > a.nav-search {
  position: relative;
  display: block;
  margin: 38px 0 37px;
  width: 15px;
  height: 15px;
  padding-left: 10px;
}

.navigation.sticky .navbar-nav > li > a.nav-search {
  margin: 23px 0 22px;
}

.search-wrap {
  width: 100%;
  height: 100%;
  overflow: hidden;
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 20;

  & .form-control {
    height: 100%;
    border: none;
    font-size: 24px;
  }

  & input,
  & input:focus {
    background-color: #fff !important;
    border: none;
  }
}

.search-trigger {
  z-index: 22;
  position: absolute;
  top: 50%;
  margin-top: -8px;
  right: 0;
  opacity: 1;
}

.search-close {
  opacity: 0;
  font-size: 16px;
  z-index: 21;
  position: absolute;
  top: 50%;
  margin-top: -10px;
  right: 0;
}

.nav-search.open .search-trigger {
  opacity: 0;
  z-index: 20;
}

.nav-search.open .search-close {
  opacity: 1;
}

#mobile-search {
  display: none;
}


/*-------------------------------------------------------*/
/* Navigation Portfolio
/*-------------------------------------------------------*/

.nav-type-3 {
  background-color: #fff;
  position: fixed;
  height: 100px;
  width: 100%;
  z-index: 1000;

  & .nav-wrap {
    display: table;
    height: 100px;
    width: 100%;
    float: left;
  }

  & .logo-container a {
    z-index: 11;
    vertical-align: middle;
    display: table-cell;
    height: 100px;
    padding: 0 20px;
  }
}

.full-nav,
#nav-icon {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.fs-menu {
  position: fixed;
  background-color: rgba(12,12,12, 0.95);
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  visibility: hidden;
  @include transition (all .2s linear);
  overflow: hidden;

  &.open {
    opacity: .9;
    visibility: visible;
    z-index: 200;
    @include transition (all .2s linear);
  }
      
  &.open li {
    -webkit-animation: fadeInUp .35s ease forwards;
    -moz-animation: fadeInUp .35s ease forwards;
    -ms-animation: fadeInUp .35s ease forwards;
    -o-animation: fadeInUp .35s ease forwards;
    animation: fadeInUp .35s ease forwards;
    -webkit-animation-delay: .10s;
    -moz-animation-delay: .10s;
    -ms-animation-delay: .10s;
    -o-animation-delay: .10s;
    animation-delay: .10s;
  }
   
  &.open li:nth-of-type(2) { animation-delay: .15s; }
  &.open li:nth-of-type(3) { animation-delay: .20s; }
  &.open li:nth-of-type(4) { animation-delay: .25s; }
  &.open li:nth-of-type(5) { animation-delay: .30s; }
  &.open li:nth-of-type(6) { animation-delay: .35s; }
  &.open li:nth-of-type(7) { animation-delay: .40s; }
}


.overlay-menu {
  position: relative;
  top: 50%;
  @include transform (translateY(-50%));
  text-align: center;

  & ul {
    list-style: none;
    padding: 0;
    margin: 0 auto;
    display: inline-block;
    position: relative;
    height: 100%;
  }
      
  & ul li {
    display: block;
    position: relative;
    opacity: 0;
    padding: 15px 0;
  }

  & ul li a {
    display: block;
    position: relative;
    overflow: hidden;
    font-family: $heading-font;
    font-size: 36px;
    letter-spacing: 0.05em;
    color: #fff;
    font-weight: 700;
    text-decoration: none;
    text-transform: uppercase;
    @include transition (all .2s linear);
  }

  & ul li.active > a,
  & ul li a:hover {
    color: $main-color;
  }
}

@keyframes fadeInUp { 0% { opacity: 0; bottom: 20%; } 100% { opacity: 1; bottom: 0; }}


/* Nav icon */

#nav-icon {
  right: 40px;
  top: 50%;
  margin-top: -7px;
  position: absolute;
  margin-right: 0;
  z-index: 300;
  cursor: pointer;
  width: 20px;
  height: 20px;
  @include transform (rotate(0deg));
  @include transition (.2s ease-in-out);
  cursor: pointer;

  & span {
    display: block;
    position: absolute;
    height: 2px;
    width: 100%;
    background: $heading-color;
    opacity: 1;
    left: 0;
    @include transform (rotate(0deg));
    @include transition (.25s ease-in-out);
  }

  & span:nth-child(1) {
    top: 0px;
  }

  & span:nth-child(2),
  & span:nth-child(3) {
    top: 6px;
  }

  & span:nth-child(4) {
    top: 12px;
  }

  &.open span:nth-child(1) {
    top: 6px;
    width: 0%;
    left: 50%;
  }

  &.open span:nth-child(2) {
    @include transform (rotate(45deg));
    background: #fff;
  }

  &.open span:nth-child(3) {
    @include transform (rotate(-45deg));
    background: #fff;
  }

  &.open span:nth-child(4) {
    top: 6px;
    width: 0%;
    left: 50%;
  }
}


/*-------------------------------------------------------*/
/* Navigation Leftside
/*-------------------------------------------------------*/

.sidenav {

  & .container-fluid,
  & .container {
    width: 90%;
  }

  & .result-boxes .container-fluid {
    width: 100%;
  }

  & .header-wrap {
    width: 300px;
    height: 100%;
    background-color: #fff;
    padding: 70px 50px;
  }

  & .works-grid-3-col-wide .container-fluid {
    padding: 0 15px;
  }

}

.content-wrap {
  margin-left: 300px;
  position: relative;
  width: auto;
}

.nav-type-4 {
  position: fixed;
  left: 0;
  top: 0;
  z-index: 500;
  height: 100%;
  width: 300px;

  & .navbar-header,
  & .nav-wrap {
    width: 100%;
  }

  & .navbar-header {
    padding: 0;
  }

  & .navbar {
    min-height: 100%; 
  }

  & .logo-container {
    width: 100%;
    padding: 0;
  }

  & .logo-wrap > a {
    height: auto;
    text-align: center;
  }

  & .nav {
    width: 100%;
    margin-top: 40px;
  }

  & .navbar-nav > li {
    float: none;
  }

  & .navbar-nav > li > a {
    padding: 17px 0;
    line-height: 1;
    color: $heading-color;
  }

  & .social-icons a {
    float: none !important;

    &:hover {
      color: $heading-color;
    }
  }
}